"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for details.
Object.defineProperty(exports, "__esModule", { value: true });
var diagnostic_channel_publishers_1 = require("diagnostic-channel-publishers");
if (!process.env["APPLICATION_INSIGHTS_NO_DIAGNOSTIC_CHANNEL"]) {
    var individualOptOuts = process.env["APPLICATION_INSIGHTS_NO_PATCH_MODULES"] || "";
    var unpatchedModules = individualOptOuts.split(",");
    var modules = { bunyan: diagnostic_channel_publishers_1.bunyan, console: diagnostic_channel_publishers_1.console, mongodb: diagnostic_channel_publishers_1.mongodb, mongodbCore: diagnostic_channel_publishers_1.mongodbCore, mysql: diagnostic_channel_publishers_1.mysql, redis: diagnostic_channel_publishers_1.redis, pg: diagnostic_channel_publishers_1.pg, pgPool: diagnostic_channel_publishers_1.pgPool, winston: diagnostic_channel_publishers_1.winston };
    for (var mod in modules) {
        if (unpatchedModules.indexOf(mod) === -1) {
            modules[mod].enable();
        }
    }
}
//# sourceMappingURL=initialization.js.map